Get price
curl --request GET \
--url https://api.example.com/prices/{priceId} \
--header 'Authorization: Bearer <token>' \
--header 'x-environment: <x-environment>'import requests
url = "https://api.example.com/prices/{priceId}"
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-environment': '<x-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/prices/{priceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"termCount": 123,
"pricing": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Prices
Get price
Get price by id.
GET
/
prices
/
{priceId}
Get price
Headers
Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.
Path Parameters
Response
OK
Unique id for the price.
Name of the price.
Internal description for this price, not shown to customers. Typically notes for your team.
Available options:
fee, volume, graduated, package Available options:
one_time, recurring Billing cycle's term frequency (count).
Available options:
day, week, month, year Show child attributes
Show child attributes
Was this page helpful?
⌘I

